name: Continuous Integration Pull Request

on:
    pull_request:

jobs:
    test:
        uses: globaldigitalagency/github-workflows-templates/.github/workflows/test.yaml@v1
        secrets: inherit

    validate-bundle:
        uses: globaldigitalagency/github-workflows-templates/.github/workflows/validate-bundle.yaml@v1
        secrets: inherit
        with:
            project: gda/autoadmin
            branch: ${{ github.head_ref }}

    analysis:
        uses: globaldigitalagency/github-workflows-templates/.github/workflows/sonarqube.yaml@v1
        needs: test
        secrets: inherit
        with:
            reference-branch: ${{ github.base_ref }}
            branch: ${{ github.head_ref }}
